3

I'm writing my thesis using overleaf and I would like to add Glossary. I have added the following commands to my preamble.tex

\usepackage[record]{glossaries-extra}
\GlsXtrLoadResources % input file created by bib2gls
[% instructions to bib2gls:
src={entries}, % terms defined in entries.bib
sort={en-GB}% sort according to this locale
]

I have added \printunsrtglossaries just before \end{document} and created entries.bib that contains my list as instructed by this guide (page 24). I receive the following errors when I copmile my file:
enter image description here
(swipt) is in my list.

Any idea how to deal with this?

Thanks.

MWE:

\documentclass{article}
\usepackage[record]{glossaries-extra}
\GlsXtrLoadResources[
% Dummy file for testing example-glossaries-brief.bib is provided
% with glossaries-extra.sty
 src=example-glossaries-brief,
 selection=all
] 
\begin{document}
\printunsrtglossaries
\end{document}

Document build should be:

pdflatex filename
bib2gls filename
pdflatex filename
  • 1
    I've just checked and Overleaf currently has glossaries-extra version 1.07 (2016/08/15) installed. (The log file shows TeX Live 2016/Debian.) At least version 1.08 (2016-12-13) is required for the record package option, although bib2gls works better with newer versions. Obviously bib2gls also needs to be installed as well, since it's part of the document build process. The initial release of bib2gls was 2017-09-09 so it won't be in TeX Live 2016. – Nicola Talbot Dec 13 '18 at 17:50
  • 1
    @NicolaTalbot: Thanks Nicola!. I have checked the log file and it shows the following: "This is pdfTeX, Version 3.14159265-2.6-1.40.18 (TeX Live 2017) (preloaded format=pdflatex 2017.7.12) 13 DEC 2018 19:02". I'm using v2.overleaf which is a newer version – Ali Dec 13 '18 at 19:06
  • 1
    @NicolaTalbot just to explain the behavior, depending on when the project you checked was created (or if it was copied from an older project), it may be set to use an older TeX Live image on Overleaf's servers, so that most probably explains the discrepancy here. (I'm on support staff at Overleaf.) – Paul Gessler Dec 13 '18 at 19:42
  • 1
    @Ali I've add a minimal working example to your question to make it easier to copy and paste for testing. I hope Overleaf consider adding bib2gls. – Nicola Talbot Dec 14 '18 at 11:18
  • 1
    @Ali You can just create a .tex file containing \newglossaryentry or \newabbreviation and input them into the document (using \input or \loadglsentries). The Introductory Guide supplied with bib2gls starts with some general information that doesn't actually require bib2gls (or any other tool), which might help you get started. – Nicola Talbot Dec 14 '18 at 12:12

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.